> ## Documentation Index
> Fetch the complete documentation index at: https://studio-docs.prem.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Fine-Tuning Job

> Check job progress and experiment statuses.



## OpenAPI

````yaml GET /api/v1/public/finetuning/{jobId}
openapi: 3.1.0
info:
  version: 0.0.1
  title: Prem Studio API
  description: Studio autofinetuning agent API
servers:
  - url: http://studio.premai.io
    description: Current environment
  - url: https://studio.premai.io
    description: Production server
security:
  - bearerAuth: []
paths:
  /api/v1/public/finetuning/{jobId}:
    get:
      tags:
        - Public Fine-tuning
      description: Get fine-tuning job status
      operationId: finetuning.get
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: jobId
          in: path
      responses:
        '200':
          description: Fine-tuning job status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetFinetuningResponse'
        '404':
          description: Job not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    GetFinetuningResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        snapshot_id:
          type: string
          format: uuid
        status:
          type: string
          enum:
            - processing
            - completed
            - failed
        experiments:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
              experiment_number:
                type: integer
              base_model_id:
                type: string
              status:
                type: string
                enum:
                  - pending
                  - queued
                  - running
                  - deploying
                  - succeeded
                  - failed
                  - deleted
              model_id:
                type: string
              batch_size:
                type: integer
              learning_rate_multiplier:
                type: number
              n_epochs:
                type: integer
              training_type:
                type: string
                enum:
                  - full
                  - lora
                  - qlora
            required:
              - id
              - experiment_number
              - base_model_id
              - status
              - batch_size
              - learning_rate_multiplier
              - n_epochs
              - training_type
      required:
        - id
        - name
        - snapshot_id
        - status
        - experiments
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````